WHO(1)

NAZWA
who - pokazuje kto jest zalogowany

SKŁADNIA
who [OPCJA]... [ PLIK | ARGUMENT1 ARGUMENT2 ]

OPIS

Wypisuje informację o aktualnie zalogowanych użytkownikach

-a, --all
    równoważne -b -d --login -p -r -t -T -u

-b, --boot
    czas ostatniego uruchomienia systemu

-d, --dead
    wypisuje martwe procesy

-H, --heading
    wypisuje wiersz z nagłówkami kolumn

-l, --login
    wypisuje systemowe procesy zgłoszeniowe

--lookup
    próbuje rozwiązać nazwy systemów przez DNS

-m  wypisuje tylko nazwę systemu i użytkownika związanych ze standardowym wejściem

-p, --process
    wyświetla aktywne procesy uruchomione przez init

-q, --count
    wypisuje wszystkie nazwy zgłoszeniowe i liczbę zalogowanych użytkowników

-r, --runlevel
    wyświetla bieżący poziom pracy (runlevel)

-s, --short
    wypisuje jedynie nazwę, terminal i czas (domyślnie)

-t, --time
    wypisuje ostatnią zmianę zegara systemowego

-T, -w, --mesg
    wypisuje dodatkowo znak, określający czy użytkownik przyjmuje komunikaty: +, - lub ?

-u, --users
    wypisuje zalogowanych użytkowników

--message
    równoważne -T

--writable
    równoważne -T

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeśli nie podano PLIKU, używany jest /var/run/utmp. Częstym wyborem jest /var/log/wtmp. Jeśli podano ARGUMENT1 i ARGUMENT2, włączana jest opcja -m. Program może mieć działanie terapeutyczne - często wybieranymi argumentami są am i lub mom likes.

AUTOR
Napisane przez Josepha Arceneaux, Davida MacKenzie i Michaela Stone'a.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/who>
lub lokalnie, za pomocą info '(coreutils) who invocation'

Spakietowane przez Debiana (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.